<?php

declare(strict_types=1);

namespace PHPMax\Domain;

use PHPMax\Support\Model;

class Profile extends Model
{
     
    public $contact;
     
    public $profileOptions;

    protected static function schema(): array
    {
        return [
            'contact' => ['type' => User::class, 'required' => true],
            'profileOptions' => ['type' => 'array'],
        ];
    }
}
